/*
======================================================================
   RTFHelp Windows Help Generation Tool
   (C) Copyright 1994 by J. Hlavaty

   RTFHData.c
   Global data for RTFHelp
======================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// make sure our externs in rtfhelp.h aren't included in this file
//   which actually defines the data
#define  NO_EXTERNS
#include "rtfhelp.h"


char Token[RTFH_TOKENSIZE] ;
char szBuffer[RTFH_BUFFERSIZE] ;
char szBuffer2[RTFH_BUFFER2SIZE] ;
char cBufferPos = 0 ;

char *pszInput = NULL, *pszOutput = NULL ;


BOOL bOverwrite     = FALSE ;  // FALSE means prompt user before overwriting RTF file
BOOL bCondense      = TRUE ;   // FALSE means 'Compatibility Mode'
BOOL bVerbose       = TRUE ;   // FALSE means no informational msgs
BOOL bGeneratingHDC = FALSE ;  // NOT IN THIS VERSION

BOOL codepage  = 0 ;    // '0' means it's already ANSI (Windows default) codepage
char hardspace = '%' ;  // this character at the start of a text line will be replaced by a space

char SecPassName[13] ;
char FirPassName[13] ;

